[TOC]

#### 绑定接口

##### 简要描述

  - 通过该接口可以将号码A与号码B进行AXB绑定

##### 请求URL

  - ` http://cc.v-call.cn/pns/axb/bind`

##### 请求方式

  - POST

##### Header

| header       | 必选 | 类型   | 说明                            |
| :----------- | :--- | ------ | ------------------------------- |
| Content-Type | 是   | string | application/json; charset=utf-8 |

##### 请求参数

| 参数名     | 必选 | 类型   | 最大长度 | 说明                                         |
| :--------- | :--- | -------| ------- | -------------------------------------------- |
| token | 是 | string | 50 |通过[授权接口](https://doc.v-call.cn/docs/apidoc/apidoc-1d19udteec34j "授权接口")获取的token|
| requestId    | 否   | string |50 |请求id，用于请求去重                                     |    |
| telA       | 是   | string |20 | 号码A                                        |
| telB       | 是   | string |20 | 号码B                                        |
| telX      | 否   | string  |20| X号码，如果此字段未提供，则平台会自动分配一个X号码返回 | 
| areaCode   | 否   | string |5| 当需要平台自动分配X号码时，可以通过此字段指定区号城市的X号码。如未指定区号，则系统将根据一定策略进行随机分配X号码 |
| expiration | 否   | Integer | |绑定关系有效时间，单位秒，如果不传为永久有效 |
| userData | 否   | string | 200|用户自定义数据，比如订单号，最大长度不超过200 |
| callDisplay | 否   | Integer | |来显控制（0-不显示真实号码，默认；1-透传telA；2-透传telB；3-telA、telB均透传） |


##### 请求示例

```
{ "token":"xxxxxxxxxxxxxxxxx",
  "telA":"100001",
  "telB":"138xxxxxxxx",
  "areaCode":"010",
  "expiration":72000,
  "userData":"10000100101001"
}
```



##### 返回示例

```
{
    "msg":"绑定成功",
    "code":"0000",
     "data":{
      "bindId":"100001",
	  "telX":"95791111111"
    }
}
```

##### 返回参数说明

| 参数名 | 类型   | 说明     |
| :----- | :----- | -------- |
| msg    | string | 返回说明 |
| code   | String | 返回code |
| data   | Object | 返回数据 |
| ├ bindId   | String | 唯一标示绑定关系的 ID，用于解绑 |
| └ telX   | String | 绑定的X号码，通过该号码可以呼叫到telA |



##### code说明

| code | msg                          | 说明                                    |
| :--- | :--------------------------- | --------------------------------------- |
| 0000 | 绑定成功                     |                                         |
| 0001 | 覆盖绑定成功                 | 号码A和号码B均相同时进行重复绑定，绑定时覆盖 |
| 2001 | 绑定失败，telA为空           |                                         |
| 2002 | 绑定失败，telB为空           |                                         |
| 2003 | 绑定失败，requestId为空        |                                         |
| 2004 | 绑定失败，expiration格式错误 |                                         |
| 2005 | 绑定失败，隐私号号码不足 |                                         |