[TOC]

##### 简要描述

  - 给用户 A 号码分配小号 X，别人可以通过拨打 X 接通到用户 A

##### 请求URL

  - `http://cc.v-call.cn/pns/ax/bind`

##### 请求方式

  - POST

##### Header

| header       | 必选 | 类型   | 说明                            |
| :----------- | :--- | ------ | ------------------------------- |
| Content-Type | 是   | string | application/json; charset=utf-8 |

##### 请求参数

| 参数名     | 必选 | 类型    | 最大长度    | 说明                                         |
| :--------- | :--- | ------- |  ------- |-------------------------------------------- |
| token       | 是   | string  |50| [通过授权接口获取的token ](https://doc.v-call.cn/docs/apidoc/apidoc-1d19udteec34j "通过授权接口获取的token ")                                     |  |
| requestId    | 否   | string  |50 |请求id，用于请求去重                                     |    |
| telA       | 是   | string  |20| 号码A                                        |                                      |
| telX      | 否   | string  |20| X号码，如果此字段未提供，则平台会自动分配一个X号码返回 | |
| areaCode   | 否   | string | 5|当需要平台自动分配X号码时，可以通过此字段指定区号城市的X号码。如未指定区号，则系统将根据一定策略进行随机分配X号码 |
| expiration | 否   | Integer | |绑定关系有效时间，单位秒，如果不传为永久有效 |
| userData | 否   | string | 200|用户自定义数据，比如订单号，最大长度不超过200 |
| callDisplay | 否   | Integer | |来显控制（0-不显示真实号码，默认；1-在被叫A上显示其他号码的真实号码） |
| identityNumber       | 否   | string  |20| 法人身份证号码                | 
| identityName       | 否   | string  |20| 法人姓名                | 


##### 请求示例

```
{
  "telA":"100001",
  "areaCode":"010",
  "requestId":"20210517020182123",
  "expiration":72000,
  "userData":"10000100101001",
  "identityNumber":"110327******1212",
  "identityName":"张三",
}
```



##### 返回示例

```
{
    "msg":"绑定成功",
    "code":"0000",
    "data":{
      "bindId":"100001",
	  "telX":"95791111111"
    }
}
```

##### 返回参数说明

| 参数名 | 类型   | 说明     |
| :----- | :----- | -------- |
| msg    | string | 返回说明 |
| code   | String | 返回code |
| data   | Object | 返回数据 |
| ├ bindId   | String | 唯一标示绑定关系的 ID，用于解绑 |
| └ telX   | String | 绑定的X号码，通过该号码可以呼叫到telA |



##### code说明

| code | msg                          | 说明                                    |
| :--- | :--------------------------- | --------------------------------------- |
| 0000 | 绑定成功                     |         
| 403 | 鉴权失败                     |  |
| 0001 | 绑定关系已经存在                 |  |