##### 简要描述

  - 使用HTTP的POST请求，推送呼叫挂机事件话单信息给第三方指定的URL，未指定时不推送


##### 请求URL

  - 由客户提供

##### 请求方式

  - POST
  
##### Header

| header       | 必选 | 类型   | 说明                            |
| :----------- | :--- | ------ | ------------------------------- |
| Content-Type | 是   | string | application/json; charset=utf-8 |

##### 请求参数

| 参数          | 必选 | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
|event |是 |String |消息类型，固定为PnsCallEnd   |
| callId        | 是   | String | 呼叫id,通话唯一标识             |
| bindId    | 是   | string |唯一标示绑定关系的 ID，绑定时返回的  |
| bindType | 是   | String | 本次事件对应的业务类型：ax、axb                               |
| callingNumber | 是   | String | 主叫号码                        |
| calledNumber  | 是   | String | 被叫号码                        |
| callingRole  | 否   | String | 主叫角色，axb模式存在此字段（0-未知；1-telA；2-telB）                              |
| telX  | 是   | String | X号码                              |
| beginTime     | 是   | long | 外呼开始时间，13位时间戳，比如1636535406808 |
| ringTime      | 是   | long | 外呼振铃时间，13位时间戳，比如1636535406808 |
| startTime     | 是   | long | 通话开始时间，13位时间戳，比如1636535406808  |
| stopTime      | 是   | long | 通话结束时间，13位时间戳，比如1636535406808  |
| duration      | 是   | int | 通话时长 (单位：秒)                              |
| userData      | 否   | String | 用户自定义数据                         |
| recordUrl      | 否   | String | 录音文件路径                           |
| hangupGcode      | 是   | integer | 挂机码|
| hangupGname      | 是   | String | 挂机原因|
| releaseDir      | 是   | String | 释放方向（0-未知；1-主叫结束；2-被叫结束；3-平台结束）|


##### 请求示例

```
{
    "event": "PnsCallEnd",
    "callId": "e1ad91dd-75a0-4fe9-87a7-cc669872d062",
	"bindId": "e35d324d-75a0-3dfg-87a7-ccgh64f3d062",
    "bindType": "axb",
    "callingNumber": "100000009",
    "calledNumber": "15xxxxxxxx",
	"callingRole": 1,
	"telX": "192xxxxxxx",
    "beginTime": 1636535406808,
    "ringTime": 1636535406828,
    "startTime": 1636535406828,
    "stopTime": 1636535406828,
    "duration": 20,
    "userData": "10000100101001",
    "recordUrl": "http://xxxxxxxxxxxxx",
    "hangupGcode": "0",
    "hangupGname": "正常结束",
	"releaseDir": 1
}

```



##### 返回说明

回调时网络状态码返回200，判断为推送成功，如果推送失败会每隔5分钟重试一次，重试3次z