[TOC]

##### 简要描述

  - 通过该接口可以将员工A号码与客户B号码进行AXB绑定

##### 请求URL

  - `http://cc.v-call.cn/pns/work/bind`

##### 请求方式

  - POST

##### Header

| header       | 必选 | 类型   | 说明                            |
| :----------- | :--- | ------ | ------------------------------- |
| Content-Type | 是   | string | application/json; charset=utf-8 |

##### 请求参数

| 参数名     | 必选 | 类型   | 最大长度 | 说明                                         |
| :--------- | :--- | -------| ------- | -------------------------------------------- |
| token | 是 | string | 50 |通过[授权接口](https://doc.v-call.cn/docs/apidoc/apidoc-1d19udteec34j "授权接口")获取的token|
| requestId    | 是   | string |50 |用于请求重试去重，每一组绑定关系该参数具有唯一性，同一组绑定关系多次重试该参数取值相同,最大不超过 20 位；备注:requestId 接入方需要保持原子性                                     |    |
| telA       | 是   | string |20 | 员工号码A                                        |
| telB       | 是   | string |20 | 客户号码B                                        |
| expiration | 否   | Integer | |绑定关系有效时间，单位秒，如果不传为永久有效 |
| userData | 否   | string | 200|用户自定义数据，比如订单号，最大长度不超过200 |


##### 请求示例

```
{ "token":"xxxxxxxxxxxxxxxxx",
  "requestId": "xxxxxx",
  "telA":"100001",
  "telB":"138xxxxxxxx",
  "expiration":72000,
  "userData":"10000100101001"
}
```



##### 返回示例

```
{
    "msg":"绑定成功",
    "code":"0000",
     "data":{
      "bindId":"100001",
	  "telX":"95791111111"
    }
}
```

##### 返回参数说明

| 参数名 | 类型   | 说明     |
| :----- | :----- | -------- |
| msg    | string | 返回说明 |
| code   | String | 返回code |
| data   | Object | 返回数据 |
| ├ bindId   | String | 唯一标示绑定关系的 ID，用于解绑 |
| └ telX   | String | 绑定的X号码，通过该号码可以呼叫到telA |



##### code说明

| code | msg                          | 说明                                    |
| :--- | :--------------------------- | --------------------------------------- |
| 0000 | 绑定成功                     |                                         |
| 2001 | 绑定失败，telA为空           |                                         |
| 2002 | 绑定失败，telB为空           |                                         |
| 2003 | 绑定失败，requestId为空        |                                         |
| 2004 | 绑定失败，expiration格式错误 |                                         |
| 6001 | 员工A没有绑定工作号 |                                         |
| 6002 | 未查询到工作号信息 |                                         |
| 6003 | 绑定关系已存在 |                                         |