[TOC]

##### 简要描述

  - 通过该接口可以将员工A号码与工作号X号码进行绑定

##### 请求URL

  - ` http://cc.v-call.cn/pns/work/relation/bind`

##### 请求方式

  - POST

##### Header

| header       | 必选 | 类型   | 说明                            |
| :----------- | :--- | ------ | ------------------------------- |
| Content-Type | 是   | string | application/json; charset=utf-8 |

##### 请求参数

| 参数名     | 必选 | 类型   | 最大长度 | 说明                                         |
| :--------- | :--- | -------| ------- | -------------------------------------------- |
| token | 是 | string | 50 |通过[授权接口](https://doc.v-call.cn/docs/apidoc/apidoc-1d19udteec34j "授权接口")获取的token|
| requestId    | 是   | string |50 |请求id，用于请求去重                                     |    |
| telA       | 是   | string |20 | 员工号码A                                        |
| telX       | 是   | string |20 | 工作号                                        |
| authType | 否   | Integer | |是否需要下发短信启动实名认证（0-否；1-是 默认1）|
| userData | 否   | string | 200|用户自定义数据，比如订单号，最大长度不超过200 |
| sequenceMode | 否   | Integer | |顺振模式：0-不顺振（默认）1-有条件顺振，先接续calledNo指定被叫，如果该被叫未能接通，再顺振sequenceCalls号码列表 2-无条件顺振，不接续calledNo指定被叫，直接顺振sequenceCalls号码列表|
| sequenceCalls | 否   | List | |顺振控制参数 |
|&nbsp;&nbsp;&nbsp;&nbsp;├ sequenceCalledNo | string |  是 |  | 顺振被叫号码 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ sequenceCallNoPlayCode | string |  否 |  | 顺振提示音放音编号 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ sequenceCalledPlayCode  | string |  否 |  | 接通后主被叫放音编号 |  |

##### 请求示例

```
{
    "token":"xxxxxxxxxxxxxxxxx",
	"requestId": "1234567890",
	"telA": "1378888****",
	"telX": "1388888****",
	"authType": 0,
	"userData": "sdnfuisfdojisfd",
	"sequenceMode": 1,
	"sequenceCalls": [{
		"sequenceCalledNo": "1888888****",
		"sequenceCallNoPlayCode": "003",
		"sequenceCalledPlayCode": "004"
	}]
}
```



##### 返回示例

```
{
	"msg": "成功",
	"code": "0000",
	"data": {
		"authId": "xxxxxxxxxxxxxxxxx",
		"telX": "1388888****"
	}
}
```

##### 返回参数说明

| 参数名 | 类型   | 说明     |
| :----- | :----- | -------- |
| msg    | string | 返回说明 |
| code   | String | 返回code |
| data   | Object | 返回数据 |
| ├ authId   | String | 工作号关系绑定的唯一标识 |
| └ telX   | String | 工作号 |



##### code说明

| code | msg                          | 说明                                    |
| :--- | :--------------------------- | --------------------------------------- |
| 0000 | 成功                     |                                         |
| 1001 | 绑定关系已存在           |                                         |
| 1002 | 绑定关系冲突          |                                         |
| 1003 | 绑定关系冲突        |                                         |
| 1004 | 副号码不存在 |                                         |
| 1005 | 请求消息格式错误 |                                         |
| 1006 | 企业不为工作号企业 |                                         |
| 1007 | 该企业没有此号码资源 |                                         |
| 1008 | 企业不存在 |                                         |
| 1010 | 该主号已绑定工作号达到上限2个 |                                         |
| 1050 | 该企业暂停服务 |                                         |
| 1111 | 系统异常 |                                         |