[TOC]

##### 简要描述

  - 使用HTTP的POST请求，解绑请求的处理结果异步推送给接入方

##### 请求URL

  - `由客户提供`

##### 请求方式

  - POST

##### Header

| header       | 必选 | 类型   | 说明                            |
| :----------- | :--- | ------ | ------------------------------- |
| Content-Type | 是   | string | application/json; charset=utf-8 |

##### 请求参数

| 参数          | 必选 | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
|event |是 |String |消息类型，固定为PnsRelationUnbindNotify   |
| requestId        | 是   | String | 请求去重ID             |
| result    | 是   | Integer |实名解除绑定状态 0:失败 1:成功  |
| telX | 是   | String | 工作号                             |
| authId       | 是   | string |20 | 工作号关系绑定的唯一标识                                        |
| code | 是   | String | 认证状态|
| msg  | 是   | String | 认证原因|


##### 请求示例

```
{
    "event": "PnsRelationUnbindNotify",
	"requestId": "e1ad91dd-75a0-4fe9-87a7-cc669872d062",
	"result": 1,
	"telX": "1388888****",
	"authId": "xxxxxxxxxxxxxxxxx",
	"code": "0000",
	"msg": "成功"
}
```



##### code说明

| code | msg                          | 说明                                    |
| :--- | :--------------------------- | --------------------------------------- |
| 0000 | 成功                     |                                         |
| 0015 | 实名信息预校验           |                                         |
| 3040 | 主副号码实名制信息不一致          |                                         |
| 3004 | 订购关系已存在（点播类套餐）        |                                         |
| 2004 | 用户已单向停机 |                                         |
| 2005 | 用户已停机 |                                         |
| 2006 | 用户预销户 |                                         |
| 2007 | 用户销户 |                                         |
| 2008 | 用户预开通（未激活）状态，不允许受理业务 |                                         |
| 2009 | 用户状态非法 |                                         |
| 3000 | 黑名单用户 |                                         |
| 3002 | 用户余额不足 |                                         |
| 2020 | 用户存在滞纳金                     |                                         |
| 3003 | 用户存在欠费           |                                         |
| 3016 | 用户信用管理导致不允许订购          |                                         |
| 2031 | 未实名登记用户        |                                         |
| 2013 | 用户所属品牌不允许受理此业务 |                                         |
| 2000 | 订购关系已存在（月套餐） |                                         |
| 2001 | 订购关系不存在 |                                         |
| 3005 | 用户套餐存在营销活动捆绑或在网时长月龄限制（业务受限），不允许用户退订 |                          |
| 4034 | 实名制验证本地库验证不通过 |                                         |
| 3026 | 超过允许办理的手机号码数量上限 |                                         |
| 3039 | 同一证件号码下存在多个用户姓名 |                                         |
| 3042 | 超出一证五号限制并且存在一证多名 |                                         |              |
| 4040 | 证件号码被预占           |                                         |
| 4041 | 解除预占失败          |                                         |