[TOC]

##### 简要描述

  - 用户通过此接口新增需要报备的 A 路号码、姓名、身份证号码等实名制信息
  - SM4加解密密钥企业开户时提供，请妥善保管

##### 请求URL

  - `http://cc.v-call.cn/pns/route/a/auth`

##### 请求方式

  - POST

##### Header

| header       | 必选 | 类型   | 说明                            |
| :----------- | :--- | ------ | ------------------------------- |
| Content-Type | 是   | string | application/json; charset=utf-8 |

##### 请求参数

| 参数名     | 必选 | 类型    | 最大长度    | 说明                                         |
| :--------- | :--- | ------- |  ------- |-------------------------------------------- |
| token       | 是   | string  |50| [通过授权接口获取的token ](https://doc.v-call.cn/docs/apidoc/apidoc-1d19udteec34j "通过授权接口获取的token ") |
| requestId    | 是   | string  |32 |请求id，用于请求去重|
| phoneNumber       | 是   | string  || A路号码   (SM4 加密)|
| phoneType      | 是   | Integer  | | 号码类型（0-手机号；1-固定电话）|
| personType   | 是   | Integer | | 报备人类型（0-个人；1-法人；2-经办人 备注：如果号码类型为固定电话，则需要传 1 或 2） |
| identifyType |    是 | Integer | |证件类型（0-居民身份证） |
| identifyNumber | 是   | string | |证件号码  (SM4 加密)|
| identifyName | 是   | string | |报备人姓名  (SM4 加密)|
| identifyPhotoFront       | 是   | string  || 身份证正面照片（国徽），最大32kb，使用 jpg 格式 (SM4 加密 base64 编码)| 
| identifyPhotoBack       | 是   | string  || 身份证反面照片（人像） ，最大32kb，使用 jpg 格式(SM4 加密 base64 编码)| 
| scenePhoto       | 是   | string  || 身现场照片 ，最大32kb，使用 jpg 格式(SM4 加密 base64 编码)| 

##### 请求示例

```
{
	"token": "xxx",
	"requestId": "20210517020182123",
	"phoneNumber": "AZ176LY0jDevzw2EToTlyQ==",
	"phoneType": 1,
	"personType": 1,
	"identityType": 0,
	"identityNumber": "4QrcOUm6Wau+VuBX8g+IPg==",
	"identityName": "4QrcOUm6Wau+VuBX8g+IPg==",
	"identifyPhotoFront": "图片的加密 BASE64 字符串",
	"identifyPhotoBack": "图片的加密 BASE64 字符串",
	"scenePhoto": "图片的加密 BASE64 字符串"
}
```



##### 返回示例

```
{
    "msg":"成功",
    "code":"0000"
}
```

##### 返回参数说明

| 参数名 | 类型   | 说明     |
| :----- | :----- | -------- |
| msg    | string | 返回说明 |
| code   | String | 返回code （0000-成功；其他失败） |



##### code说明

| code | msg                          | 说明                                    |
| :--- | :--------------------------- | --------------------------------------- |
| 0000 | 成功                     |         
| 403 | 鉴权失败                     |  |