[TOC]

#### 双向回呼

##### 简要描述

  - 通过该接口可以进行双向回呼，先呼叫主叫号码，主叫号码接通后呼叫被叫号码。
   
    

##### 请求URL

  - `http://cc.v-call.cn/api/sip/makecall`

##### 请求方式

  - POST
  
##### Header

| header       | 必选 | 类型   | 说明                            |
| :----------- | :--- | ------ | ------------------------------- |
| Content-Type | 是   | string | application/json; charset=utf-8 |

##### 请求参数

| 参数名 | 必选 | 类型   | 说明                |
| :----- | :--- | ------ | ------------------- |
| token | 是 | string  |通过[授权接口](https://doc.v-call.cn/docs/apidoc/apidoc-1d19udteec34j "授权接口")获取的token|
| caller    | 是   | string | 主叫号码 |
| called    | 是   | string | 被叫号码，客户号码 |
| userData | 否   | string | 用户自定义数据，比如订单号 |
| callnum | 否   | string | 外显号码，必须是已经分配的主叫 |
| type | 否   | string | default/click/cmccbid，指定双向回呼方式：默认方式、点击拨号、移动双呼，点击拨号需要审核通过才能使用|

##### 请求示例

```
{
"caller":"1380000002",
"called":"1580000002"
}
```





##### 返回参数说明

| 参数名 | 类型   | 说明     |
| :----- | :----- | -------- |
| msg    | String | 返回说明 |
| code   | String | 返回code |
| data   | Object | 返回数据 |
| └ callId   | String | 发起呼叫唯一标识，用于匹配返回的呼叫事件，与呼叫事件回调接口中的callId对应 |

##### 返回示例

```
{
    "msg":"success",
    "code":"0000"，
	"data":{
	  "callId":"xxxxxxxxxxxxx"
	}
}
```


##### code说明

| code | msg                        | 说明 |
| :--- | :------------------------- | ---- |
| 0000 | 成功                   |      |
| -1 | 发起呼叫失败                   |      |