#### 回调接口

##### 简要描述

  - 使用HTTP的Post请求，推送呼叫话单信息给第三方指定的Url，未指定时不推送

    

##### 请求URL

  - 由客户提供

##### 请求方式

  - post

##### 请求参数

| 参数          | 必选 | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
|event|是|String|消息类型，固定为BidirectionalCallEnd|
|callId|是|String|呼叫id,通话唯一标识|
|type|是|string|类型,defalut:默认,click:移动|
|displayCaller|是|String|外显号码|
|telA|是|String|A路通话|
|aCallTime|是|String|呼叫时间(A路)|
|aRingingTime|是|String|振铃时间(A路)|
|aAnswerTime|是|String|应答时间(A路)|
|aHangupTime|是|String|挂机时间(A路)|
|telB|是|String|B路通话|
|bCallTime|是|String|呼叫时间(B路)|
|bRingingTime|是|String|振铃时间(B路)|
|bAnswerTime|是|String|应答时间(B路)|
|bHangupTime|是|String|挂机时间(B路)|
|hangupGcode|是|integer|挂机原因|
|hangupGname|是|String|挂机原因说明|
|duration|是|long|通话时长|
|hangupDirection|是|integer|挂机方,1:A路,2:B路|
|recordPath|是|String|录音地址|
|userData|是|String|用户随路数据|

##### 请求示例

```
{
    "event":"BidirectionalCallEnd",
    "type":"default",
    "displayCaller":"95xxxx",
    "callId":"76d46c28-870f-49af-9b2e-ed4a35617659",
    "telA":"176xxxxxxxx",
    "aCallTime":"2023-09-04 13:49:24",
    "aRingingTime":"2023-09-04 13:49:27",
    "aAnswerTime":"2023-09-04 13:49:30",
    "aHangupTime":"2023-09-04 13:50:02",
    "telB":"155xxxxxxxx",
    "bCallTime":"2023-09-04 13:49:30",
    "bRingingTime":"2023-09-04 13:49:31",
    "bAnswerTime":"2023-09-04 13:49:40",
    "bHangupTime":"2023-09-04 13:50:02",
    "hangupGcode":0,
    "hangupGname":"正常结束",
    "duration":21539,
    "hangupDirection":1,
    "userData":"10000101001",
    "recordPath":"http://ip:port/obc/api/file/download/76d46c28-870f-49af-9b2e-ed4a35617659"
}


```



##### 返回说明

HTTP的200OK响应