[TOC]

##### 简要描述
  - 客户通过该接口获取api的使用权限，接口中的accessKeyId和accessKeySecret由管理员提供

##### 请求URL

  - ` http://cc.v-call.cn/api/token `

##### 请求方式
  - POST
 
##### Header

|header|必选|类型|说明|
|:-----  |:-----|-----|-----|
| Content-Type | application/json | 是 | | |

##### 请求参数

|参数名|必选|类型|说明|
|:-----  |:-----|-----|-----|
|accessKeyId |是 |string |登录管理后台，企业信息中查看   |
|accessKeySecret |是 |string |登录管理后台，企业信息中查看   |

##### 请求示例
```
{
	"accessKeyId":"59e2565d-xxxxxxxx-ec23c0d045a1",
	"accessKeySecret":"4e04c1ef-xxxxxxxx-3fa741abe938"
}
   ```

##### 返回示例
```
{
    "msg":"success",
    "code":0,
    "data":{
        "token":"bcfce863-xxxxxxxx-85db53c4f6dd",
        "expireTime":1620847518789
     }
}
   ```
   
##### 返回参数说明

|参数名|类型|说明|
|:-----  |:-----|-----|
|msg |string |返回说明   |
|code |int |返回code，0为正常   |
|data |object |返回数据   |
|├ token |string |token   |
|└ expireTime |string |token失效时间。说明：token有效期24小时，到期4小时内调用接口重新获取会刷新token，4小时以上返回原token，到期时间不变。可在token到期前4小时内进行重新获取   |

##### 备注