[TOC]

### 基本信息

**请求URL：**
- `https://cc.v-call.cn/api/group/open/page`

**请求方式：**
- GET

**接口描述：**
- 列表-分页

### 请求参数
**Query**

| 参数名称 | 是否必须 | 示例 | 备注 |
| ------------ | ------------ | ------------ | ------------ |
| name | 否 | | 名称 |
| pageNo | 否 | | 页数 ，默认值1|
| pageSize | 否 | | 条数，默认值10 |
| token | 是 |  |通过授权接口获取的token|

### 请求示例
```
https://cc.v-call.cn/group/open/page?token=131231qweqweqwasd1231313
```

### 返回数据

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| code | string |  是 |  |  |  |
| msg | string |  否 |  |  |  |
| data | object |  是 |  |  |  |
| ├ total | integer |  否 |  |  | format:int64 |
| └ records | object []  |  否 |  |  | item 类型:object |
|&nbsp;&nbsp;&nbsp;&nbsp;├ sn | string |  是 |  | 技能组编号 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ name | string |  是 |  | 技能组名称 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ deptName | string |  是 |  | 部门名称 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ policy | integer |  是 |  | 策略：0：轮选；1：优先级;2:服务时长；3：服务次数 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ agentSnList | string [] |  否 |  | 座席编号集 | item 类型:string |
|&nbsp;&nbsp;&nbsp;&nbsp;├ agentTotal | integer |  否 |  | 座席数量 | format:int32 |
|&nbsp;&nbsp;&nbsp;&nbsp;├ popupWindowUrl | string |  否 |  | 弹窗地址 | |
|&nbsp;&nbsp;&nbsp;&nbsp;├ caller | string |  否 |  | 默认主叫 | |
|&nbsp;&nbsp;&nbsp;&nbsp;├ agentAutoIdle | integer |  否 |  | 坐席自动空闲开关：0否1是 | |
|&nbsp;&nbsp;&nbsp;&nbsp;├ agentAutoIdleTime | integer |  否 |  | 坐席自动空闲时间，单位秒 | |
|&nbsp;&nbsp;&nbsp;&nbsp;├ agentMakeCall | integer |  否 |  | 坐席外呼开关：0否1是 | |
|&nbsp;&nbsp;&nbsp;&nbsp;├ remark | string |  否 |  | 备注 | |


### 返回示例

```json
	{
		"code": "0",
		"data": {
			"records": [
				{
					"sn": "392ab8d7cb88893a451a3cebfa06e103",
					"name": "测试技能组",
					"deptName": "",
					"policy": 3,
					"agentTotal": 2,
					"agentSnList": [
						"98882da3ac28d8bd5ba8451ad18625ab",
						"d0c13b2ccf0a6b165e899e3b69149325"
					],
					"popupWindowUrl": null,
					"caller": "95xxxx",
					"agentAutoIdle": 0,
					"agentAutoIdleTime": 0,
					"agentMakeCall": "1",
					"remark": ""
            	}
			],
			"total": 1
		},
		"msg": "success"
	}
```