[TOC]

### 请求URL
- `http://cc.v-call.cn/task/create`

### 请求方式
- POST

### 接口描述
可以创建多种类型的任务，语音通知、ivr、机器人、预览外呼

### 请求参数
**Headers**

| 参数名称 | 参数值 | 是否必须 | 示例 | 备注 |
| ------------ | ------------ | ------------ | ------------ | ------------ |
| Content-Type | application/json | 是 | | |

**Body**

|  名称 |  类型 |  是否必须 |  默认值 |  说明 | |
| --- | --- | --- | --- | --- | --- |
| token | string | 是 |  |通过[授权接口](https://doc.v-call.cn/docs/apidoc/apidoc-1d19udteec34j "授权接口")获取的token||
| taskType | string |  否 | flow | 任务类型,flow:机器人,notice:语音通知,ivr:IVR,preview:预览外呼 |  |
| groupId | string |  否 |  | 流程id，taskType=flow时生效，从管理端获取 |  |
| templateSn | string |  否 |  | 语音通知模板id，taskType=notice时生效，从管理端或者[语音通知模板创建接口](https://doc.v-call.cn/docs/apidoc/apidoc-1cvklnj95o0r5 "语音通知模板创建接口")获取 |  |
| ivrId | string |  否 |  | ivr流程id，taskType=ivr时生效，从管理端获取 |  |
| name | string |  是 |  | 任务名称 |  |
| caller | string |  否 |  | 主叫号 |  |
| contactsList | List |  是 |  | 呼叫联系人列表 | item 类型:object |
| ├ phone | string |  是 |  | 手机号 |  |
| ├ params | Hash |  否 |  | 联系人入参，示例{"name":"张三","age":"18"} | 跟流程入参对应 |
| └ userData | String |  否 |  |  自定义参数（推送数据时返回） ||
| callStartDate | integer |  否 | 当天0点 | 呼叫开始日期,13位毫秒级时间戳  |默认为当天的0点|
| callEndDate | integer |  否 | 当天23:59:59 | 呼叫结束日期,13位毫秒级时间戳|默认为当天的23:59:59 |
| dispatch | List |  否 | 08:00-20:00 | 可外呼时间段 | item 类型:object |
| ├ start | string |  否 | 08:00 | 外呼开始时间,例如:08:00 |  |
| └ end | string |  否 | 20:00 | 外呼结束时间,例如:20:00 |  |
| recallStrategy | List |  否 |  | 重呼策略 | item 类型:object |
| ├ delay | integer |  否 |  | 延迟时间,单位:秒 |  |
| ├ item | string |  否 |  | 项，当前只支持传phone |  |
| └ recallTimes | integer |  否 |  | 第几次重呼，第几组及为第几次 |  |


### 请求示例

```json

{
    "groupId": "123qweqwe123",
    "name": "测试",
    "caller": "10010",
    "contactsList": [
        {
            "phone": "1301111111",
            "userdata": "00001",
            "params": {
                "name": "姓名1",
                "age": "18"
            }
        },
        {
            "phone": "13022222",
            "userdata": "00002",
            "params": {
                "name": "姓名2",
                "age": "18"
            }
        }
    ],
    "callStartDate": 1626710400000,
    "callStartDate": 1626753600000,
    "dispatch": [
        {
            "start": "09:00",
            "end": "12:00"
        },
        {
            "start": "13:00",
            "end": "18:00"
        }
    ],
	"recallStrategy":[{
        "delay":300,
        "item":"phone",
        "recallTimes":1
    },{
        "delay":300,
        "item":"phone",
        "recallTimes":2
    }]
}
```

### 返回数据

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| msg | string |  非必须 |  |  |  |
| code | string |  非必须 |  | 返回编码，0为成功，其他编码详见错误码列表 |  |
| data | Hash |  非必须 |  | 描述 |  |
| └ taskSn | string |  非必须 |  | 任务编号 |  |


### 返回示例
```json
	{
		"code": "0",
		"data": {
			"taskSn": "facc37bd06fa14eff13577b0efdf6185"
		},
		"msg": "success"
	}
```

### code列表

|  code 值 |    说明 |
| --- | --- |
| 0 | 成功 |
| -1 | 错误说明 |
| 403 | no auth |
| 1003010 | 可外呼时间段格式错误 |
| 1003011 | 结束时间不能早于开始时间 |
| 1003022 | 结束时间不能早于当前时间 |
| 1003023 | 调度时间校验未通过 |
| 1004006 | 未绑定的主叫号码 |
| 1004007 | 当前主叫号未绑定外显号码 |