[TOC]

##### 简要描述
  - 客户通过该接口获取通话结果

##### 请求URL

  - ` https://cc.v-call.cn/obc/api/task/open/log/page`

##### 请求方式
  - GET

##### 请求参数

|参数名|必选|类型|说明|
|:-----  |:-----|-----|-----|
|token |是 |string |通过[授权接口](https://doc.v-call.cn/docs/apidoc/apidoc-1d19udteec34j "授权接口")获取的token  |
|taskType |是 |string |任务类型  flow:机器人,notice:语音通知,ivr:IVR,preview:预览外呼    |
|pageNo |是 |Integer |页数  |
|pageSize |是 |Integer |每页行数   |
|taskSn |是 |Integer |任务编号，在任务创建接口的返回值中获取   |


##### 请求示例
`https://cc.v-call.cn/obc/api/task/open/log/page?pageNo=1&pageSize=10&taskSn=6ff4ec5e-xxxxxxxx-569a5fb2688c&taskType=notice&token=68c3e782-xxxxxxbad7aa513b`

##### 返回示例
```json
{
    "msg": "success",
    "code": "0",
    "data": {
        "records": [
           {
			"taskSn": "xxxxxx-xxxxx",
			"hangupGcode": 0,
			"hangupGname": "正常挂机",
			"caller":"95xxx",
			"called":"138xxxxxxxx",
			"callID":"xxxx-xxxxxx",
			"taskSn":"1111-xxxxxxxxx",
			"userData":"129123123xxxxxx",
			"startTime":"2019-6-15 10:41:00",
			"ringingTime":"2019-6-15 10:41:01",
			"answerTime":"2019-6-15 10:41:10",
			"endTime":"2019-6-15 10:42:00",
			"duration":50000,
			"output":{"name":"张三"},
			"recordPath":"http://xxxx:xxx/xxx",
			"turnInfos":[]
			}
        ],
        "total": 216.0
    }
}
```

##### 返回参数说明

|参数名|必选|类型|说明|
|:-----  |:-----|-----|-----|
|msg |string |返回说明   |
|code |int |返回code，0为正常   |
|data |object |返回数据   |
|called |是 |String |被叫号码   |
|caller |是 |String |主叫号码   |
|hangupGcode|是|integer|挂机原因|
|hangupGname|是|String|挂机原因说明|
|callID |是 |String |呼叫id   |
|startTime |是 |String |呼叫开始时间   |
|ringingTime |是 |String |振铃时间   |
|answerTime |是 |String |接听时间   |
|endTime |是 |String |呼叫结束时间   |
|duration |是 |Integer |通话时长，单位毫秒   |
|taskSn |是 |String |任务sn，创建任务时返回的sn   |
|userData |否 |String |客户自定义信息   |
|output |否 |hash |出参，key-value形式   |
|recordPath |否 |String |录音下载地址   |
|turnInfos |否 |List |对话轮次   |
|├ talker |否 |String |说话人，customer:用户,agent:机器人   |
|├ content |否 |String |说话内容   |
|├ talkAt  |否 |Long | 说话时间，毫秒级时间戳 |
|├ talkDuration  |否 |Integer |  说话时长   |
|├ recordName  |否 |String |  用户说话录音读取URL，如果是机器人说话，可能无此字段，或值为空字符串   |
|└ labelName  |否 |String |  标签名称   |