### 基本信息

**Path：** `https://cc.v-call.cn/api/agent/open/create`

**Method：** POST

**接口描述：**
新增座席

### 请求参数
**Headers**

| 参数名称 | 参数值 | 是否必须 | 示例 | 备注 |
| ------------ | ------------ | ------------ | ------------ | ------------ |
| Content-Type | application/json | 是 | | |

**Body**

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| token | string | 是   |  |通过授权接口获取的token|
| agentName | string |  是 |  | 姓名 |  |
| agentNumber | string |  是 |  | 工号 |  |
| password | string |  是 |  | 密码 |  |
| groupSn | string |  是 |  | 主技能组编号 |  |
| isSip | integer |  是 |  | 是否自动生成sip号码,0:否,1:是 | format:int32 |
| phone | string |  否 |  | 电话号码 |  |
| sipId | string |  否 |  | SIP ID |  |
| type | integer |  否 |  | 座席类型：0:普通座席；1：班长 | format:int32 |
| level | integer |  否 |  | 坐席优先级 |  |
| workingOffline | integer |  否 |  | 是否允许脱机工作，0否1是 |  |
| agentAutoIdleTime | integer |  否 |  | 坐席自动空闲时间：单位秒，-1表示不开启自动空闲 |  |
| displayCaller | string |  否 |  | 主叫号码 |  |
| offlineCallType | integer |  否 |  | 离线坐席接听方式：0优先话机接听，1优先手机接听 |  |
| callMode | integer |  否 | 0 | 呼叫方式: 0 FS，1 sip转隐私号，2 点击拨号，3 移动双呼 |  |

### 请求示例

	{
		"token":"131231qweqweqwasd1231313",
		"agentName": "小河",
		"agentNumber": "1000101",
		"groupSn": "123123qweq123",
		"isSip": 0,
		"password": "******",
		"phone": "13xxxxxxxx",
		"sipId": "210000000",
		"type": 0
	}

### 返回数据

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| code | string |  是 |  | 0 成功 |  |
| data | string |  否 |  | 座席编号 |  |
| msg | string |  否 |  |  |  |

### 返回示例

	{
		"code": "0",
		"data": "00586c68b5089fd9d3a1116b28c1b4e8",
		"msg": "success"
	}