### 基本信息

**Path：** `https://cc.v-call.cn/api/agent/open/page`

**Method：** GET

**接口描述：** 列表-分页

### 请求参数
**Query**

| 参数名称 | 是否必须 | 示例 | 备注 |
| ------------ | ------------ | ------------ | ------------ |
| token | 是 |  |通过[授权接口](https://doc.v-call.cn/docs/apidoc/apidoc-1d19udteec34j "授权接口")获取的token|
| agentName | 否 | | 姓名 |
| agentNumber | 否 | | 工号 |
| groupSn | 否 | | 技能组编号 |
| pageNo | 否 | | 页数，默认值 1 |
| pageSize | 否 | | 条数，默认值 10 |
| phone | 否 | | 电话号码 |
| status | 否 | | 状态：1 开通，0关闭 |
| type | 否 | | 座席类型：0:普通座席；1：班长 |

### 请求示例

```
https://cc.v-call.cn/agent/open/page?token=131231qweqweqwasd1231313&agentNumber=20001
```

### 返回数据

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| code | string |  是|  |  |
| msg | string |  否  |  |  |
| data | object |  否  |  |  |
| ├ total | integer |  否 |  |  | format:int64 |
| └ records | object []  |  否 |  |  | item 类型:object |
|&nbsp;&nbsp;&nbsp;&nbsp;├ sn | string |  是 |  | 座席编号 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ agentNumber | string |  是 |  | 座席工号 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ agentName | string |  是 |  | 座席姓名 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ type | integer |  是 |  | 座席类型：0:普通座席；1：班长 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ groupSn | string |  否 |  | 主技能组编号 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ groupName | string |  否 |  | 主技能组 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ sipId | string |  否 |  | sip号码 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ sipPassword | string |  否 |  | sip密码 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ phone | string |  否 |  | 电话号码 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ status | integer |  否 |  | 状态：1 开通，0关闭 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ paramsData | string |  否 |  | 自定义字段数据 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ level | integer |  否 |  | 坐席优先级 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ workingOffline | integer |  否 |  | 是否允许脱机工作，0否1是 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ agentAutoIdleTime | integer |  否 |  | 坐席自动空闲时间：单位秒，-1表示不开启自动空闲 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ displayCaller | string |  否 |  | 主叫号码 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ offlineCallType | string |  否 |  | 离线坐席接听方式：0优先话机接听，1优先手机接听 |  |

### 返回示例

	{
		"code": "0",
		"data": {
			"records": [
				{
					"sn": "0963828df2ac1b8954a0f7b75ce6396c",
					"agentNumber": "20001",
					"agentName": "cs",
					"type": 0,
					"groupSn": "123qweqwe1231231",
					"groupName": "测试部",
					"sipId": "210000259",
					"phone": "20001",
					"status": 1,
					"sipPassword": "248a87f96531c831b311bbfa0c25a226",
					"paramsData": "{\"anumber\":\"10001\"}",
					"level": 1,
					"workingOffline": 0,
					"agentAutoIdleTime": null,
					"displayCaller": null,
					"offlineCallType": 0
            	}
			],
			"total": 1
		},
		"msg": "success"
	}