[TOC]

##### 简要描述

  - 通过该接口用来调用平台座席的外呼功能，通过此接口可以在用户自己系统中实现点击外呼的功能。

##### 请求URL

  - `http://cc.v-call.cn/api/agent/open/call`

##### 请求方式

  - POST

##### Header

| header       | 必选 | 类型   | 说明                            |
| :----------- | :--- | ------ | ------------------------------- |
| Content-Type | 是   | string | application/json; charset=utf-8 |

##### 请求参数

| 参数名 | 必选 | 类型   | 说明                |
| :----- | :--- | ------ | ------------------- |
| token | 是 | string  |通过[授权接口](https://doc.v-call.cn/docs/apidoc/apidoc-1d19udteec34j "授权接口")获取的token|
| agentNum    | 是   | string | 座席工号 |
| called    | 是   | string | 被叫号码，客户号码 |
| userData | 否   | string | 用户自定义数据，比如订单号 |
| callnum | 否   | string | 外显号码，必须是已经分配的主叫 |
| type | 否   | string | default/phone/sip，指定座席的接听方式。phone为只转“手机”,sip为只转“sip话机” ，默认：default为先转sip，如果sip不通改为转话机

##### 请求示例

```json
{
	"agentNum":"0001",
	"called":"15xxxxxxxxx",
	"type":"default",
}
```



##### 返回示例

```json
{
    "msg":"success",
    "code":"0000",
	"data":{
	  "callId":"xxxxxxxxxxxxx"
	}
}
```

##### 返回参数说明

| 参数名 | 类型   | 说明     |
| :----- | :----- | -------- |
| msg    | String | 返回说明 |
| code   | String | 返回code |
| data   | Object | 返回数据 |
| └ callId   | String | 发起呼叫唯一标识，用于匹配返回的呼叫事件，与呼叫事件回调接口中的callId对应 |




##### code说明

| code | msg                        | 说明 |
| :--- | :------------------------- | ---- |
| 0000 | 成功                   |      |
| -1 | 发起呼叫失败                   |      |