[TOC]

### 基本信息

**请求URL：**
- `http://cc.v-call.cn/ccs/api/agent/control`

**请求方式：**
- POST

**接口描述：**
座席工具条操作

### 请求参数
**Headers**

| 参数名称 | 参数值 | 是否必须 | 示例 | 备注 |
| ------------ | ------------ | ------------ | ------------ | ------------ |
| Content-Type | application/json | 是 | | |

**Body公共参数**

|  名称 |  类型 |  是否必须 |  默认值 |  说明 |
| --- | --- | --- | --- | --- |
| companyId | string | 是 |  | 企业id |
| agentNumber | string |  是 |  | 座席工号 |
| request | string |  是 |  | 请求类型 |
| sequence | long |  否 |  | 序号，response时自动带回，可使用时间戳，通过发送和返回来计算服务器直接延时 |

### 请求示例

```json

{
    "companyId": "74722c42eea35272d005c2c731f17c46",
    "agentNumber": "1001",
	"sequence": 1689131708674,
	"request": "login",
	"password": "******",
	"loginType": "1"
}
```

### 返回数据

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| msg | string |  非必须 |  |  |  |
| code | string |  非必须 |  | 返回编码，0为成功，其他编码详见错误码列表 |  |
| data | object |  非必须 |  | 描述 |  |
| └ sequence | string |  非必须 |  | 返回请求时的序号 |  |


### 返回示例

	{
		"code": "0",
		"data": {
			"sequence": 1689131708674
		}
		"msg": "success"
	}

### code列表

|  code 值 |    说明 |
| --- | --- |
| 0 | 成功 |
| -1 | 错误说明 |

### 登录

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：login |  |
| password | string | 是 |  | 密码 |  |
| loginType | string |  是 |  | 登录类型，1为sip话机，2为手机。手机方式登录后呼座席时直接转座席所属手机。3位webrtc登录方式，不需要在使用sip话机软件 |  |

### 登出

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：logout |  |

### 重连

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：reconnect |  |

### 示闲

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：idle |  |

### 示忙

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：busy |  |
| busyType | string | 否 |  | 自定义忙碌类型 |  |

### 外呼

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：makeCall |  |
| callId | string | 否 |  | 标识唯一通话，透传callId，未传由服务创建 |  |
| caller | string | 否 |  | 需要透传的主叫号码 |  |
| called | string | 是 |  | 被叫号码（被叫类型为1时传递坐席工号，被叫类型为2时传递手机号） |  |
| callAgentType | string |  否 |  | default/phone/sip，指定座席的接听方式。phone为只转“手机”,sip为只转“sip话机” ，默认：default为话机在线呼话机，不在线则呼坐席的手机 |  |

### 挂机

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：cancelCall |  |

### 保持

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：hold |  |

### 取消保持

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：unHold |  |

### 咨询

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：consultCall |  |
| consultType | string | 是 |  | 需要转接到的类型：1为坐席，2为外线手机，3为技能组，4为ivr |  |
| consultId | string | 是 |  | 需要咨询到的对象id：座席工号，电话号码，技能组id，ivr的id |  |

### 取消咨询

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：consultCancel |  |

### 取消咨询

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：consultCancel |  |

### 三方通话

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：tripartiteTalk |  |

### 转接

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：transferCall |  |
| transferType | string | 是 |  | 需要转接到的类型：1为坐席，2为外线手机，3为技能组，4为ivr |  |
| transferId | string | 是 |  | 需要转接到的对象id：座席工号，电话号码，技能组id，ivr的id |  |
| transferMode | int | 否 |  | 转接方式：0盲转，1咨询转。不传默认为盲转 |  |

### 取消转接

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：transferCancel |  |

### 开启监控

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：surveillance |  |
| groupId | string | 否 |  | 技能组id，未传时返回所有技能组的坐席信息 |  |
| agentNumber | string | 否 |  | 坐席工号，agentNumber不为空时，groupId需要必传 |  |
| agentName | string | 否 |  | 坐席名称，agentNumber不为空时，groupId需要必传 |  |
| agentState | string | 否 |  | 坐席状态，agentNumber不为空时，groupId需要必传 |  |
| callDirection | string | 否 |  | 呼入方向，0为呼入，1为呼出 |  |

### 强制示闲

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：forceIdle |  |
| beAgentNumber | string | 是 |  | 被操作的座席ID |  |

### 强制签出

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：forceLogout |  |
| beAgentNumber | string | 是 |  | 被操作的座席ID |  |

### 监听

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：listen |  |
| beAgentNumber | string | 是 |  | 被操作的座席ID |  |

### 强拆

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：forceBreak |  |
| beAgentNumber | string | 是 |  | 被操作的座席ID |  |

### 强插

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：forceInsert |  |
| beAgentNumber | string | 是 |  | 被操作的座席ID |  |

### 拦截

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：intercept |  |
| beAgentNumber | string | 是 |  | 被操作的座席ID |  |

### 获取技能组信息

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：groupInfo |  |

### 获取空闲座席

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：idleAgent |  |
| groupId | string | 是 |  | 请求类型必须为：获取的技能组编号 |  |

### 心跳

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：heartbeat |  |

### 静音

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：mute |  |

### 取消静音

|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| request | string | 是 |  | 请求类型必须为：unmute |  |