#### 回调接口

##### 简要描述

  - 使用HTTP的Post请求，推送座席控制事件信息给第三方指定的Url，未指定时不推送

    

##### 请求URL

  - 由客户提供

##### 请求方式

  - post

##### 公共参数

| 参数          | 必选 | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| sequence | 否 | Long | 消息序号，请求时如有此属性，原样带回，无此属性时，回0 |
| nowState | 是 | String | 座席当前在CCS中的状态 |
| userData | 否 | String | 用户自定义数据，请求时如有此属性，原样带回，生命周期为一次通话 |
| type | 是 | String | event |
| eventTime | 是 | String | 推送事件的时间戳 |
| ivrParam | 是 | String | ivr参数透 |
| userData |是|String|呼叫id,通话唯一标识|

##### 请求示例

```
{
    "data": {
        "token": "29223911278f4cb9831e42f972c58bbe",
        "sipId": "210000000",
        "sipPassword": "f3e7c1ea99c65af6eeb092ff95947d5a",
        "domain": "120.xxx.xxx.xxx",
        "agentType": 1,
        "groupIdList": [
            "486733bee28abcf923037b2b2ecf6312"
        ],
        "ivrList": [
            {
                "id": "bbee5eb920e49685be4595ec16a30742",
                "name": "使用录音转人工坐席测试"
            }
        ],
        "busyType": "",
        "agentMakeCall": 1,
        "registered": 1,
        "loginType": "1",
        "webrtcSipId": "w210000000",
        "webrtcSipPassword": "f3e7c1ea99c65af6eeb092ff95947d5a",
        "webrtcDomain": "sip.dimld.com",
        "groupInfoList": [
            {
                "id": "486733bee28abcf923037b2b2ecf6312",
                "name": "研发部2",
                "isMaster": true
            }
        ]
    },
    "nowState": "Login",
    "event": "Login",
    "eventTime": 1689127936928,
    "companyId": "2f9ad086e52fb66c01f2b1a8c938ff1d",
    "agentNumber": "185xxxxxxxx",
    "agentId": "b204347bec024029bec0160d3bfd3e9b",
    "sequence": 1689127936757,
    "type": "event"
}


```

##### 返回说明

HTTP的200OK响应

##### 登录事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | Login |
| data | 是 |  object |  |
| ├ domain | 是 | string | sip话机注册域 |
| ├ sipId | 是 | string | sip话机注册号码 |
| ├ sipPassword | 是 | string | sip话机注册密码 |
| ├ token | 是 | string | ccs token |
| ├ agentType | 是 | int | 座席类型：0:普通座席；1：班长；2：分机 |
| ├ groupIdList | 否 | list | 坐席所在技能组id列表 |
| ├ busyType | 是 | string | 忙碌类型 |
| ├ agentMakeCall | 是 | int | 坐席外呼开关：0否1是 |
| ├ registered | 是 | int | 话机是否注册：0否1是 |
| ├ webrtcSipId | 是 | string | webrtc话机注册号码 |
| ├ webrtcSipPassword | 是 | string | webrtc话机注册密码 |
| ├ webrtcDomain | 是 | string | webrtc话机注册域 |
| ├ currentBusyType | 否 | string | 自定义忙碌类型 |
| ├ groupInfoList | 否 | list | 技能组详情列表 |
| &nbsp;&nbsp;├ id | 否 | string | 技能组id |
| &nbsp;&nbsp;├ name | 否 | string | 技能组名称 |
| &nbsp;&nbsp;└ isMaster | 否 | boolean | 是否为主技能组 |
| └ ivrList | 否 | list | ivr列表 |
| &nbsp;&nbsp;├ id | 否 | string | ivr模板id |
| &nbsp;&nbsp;└ name | 否 | string | ivr模板名称 |

##### 登出事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | Logout |

##### 重连事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | Reconnect |
| data | 是 |  object |  |
| ├ domain | 是 | string | sip话机注册域 |
| ├ sipId | 是 | string | sip话机注册号码 |
| ├ sipPassword | 是 | string | sip话机注册密码 |
| ├ token | 是 | string | ccs token |
| ├ agentType | 是 | int | 座席类型：0:普通座席；1：班长；2：分机 |
| ├ groupIdList | 否 | list | 坐席所在技能组id列表 |
| ├ busyType | 是 | string | 忙碌类型 |
| ├ agentMakeCall | 是 | int | 坐席外呼开关：0否1是 |
| ├ registered | 是 | int | 话机是否注册：0否1是 |
| ├ webrtcSipId | 是 | string | webrtc话机注册号码 |
| ├ webrtcSipPassword | 是 | string | webrtc话机注册密码 |
| ├ webrtcDomain | 是 | string | webrtc话机注册域 |
| ├ currentBusyType | 否 | string | 自定义忙碌类型 |
| ├ groupInfoList | 否 | list | 技能组详情列表 |
| &nbsp;&nbsp;├ id | 否 | string | 技能组id |
| &nbsp;&nbsp;├ name | 否 | string | 技能组名称 |
| &nbsp;&nbsp;└ isMaster | 否 | boolean | 是否为主技能组 |
| └ ivrList | 否 | list | ivr列表 |
| &nbsp;&nbsp;├ id | 否 | string | ivr模板id |
| &nbsp;&nbsp;└ name | 否 | string | ivr模板名称 |

##### 示闲事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | Idle |
| data | 是 |  object |  |
| └ loginType | 是 | string | 登录类型 |

##### 示忙事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | Busy |
| data | 是 |  object |  |
| └ currentBusyType | 否 | string | 自定义忙碌类型 |

##### 呼叫事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | MakeCall |

##### 挂机事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | CancelCall |

##### 呼叫失败事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | MakeCallFail |
| data | 是 |  object |  |
| └ cause | 是 | string | 呼叫失败原因 |

##### 话机异常事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | SipError |

##### 座席建立呼叫事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | AgentOriginate |
| data | 是 |  object |  |
| ├ callDirection | 否 | int | 呼叫方向，0呼入，1呼出 |
| ├ caller | 否 | string | 主叫 |
| ├ called | 否 | string | 被叫 |
| ├ inQueueTime | 否 | long | 进入队列时间，13位时间戳 |
| ├ occCallId | 否 | string | 通话id |
| ├ userData | 否 | string | 用户自定义透传数据 |
| ├ isPredictive | 否 | int | 是否为预测外呼，0否1是 |
| ├ origCaller | 否 | string | 原主叫 |
| ├ origCalled | 否 | string | 原被叫 |
| ├ inputParam | 否 | string | 入参 |
| ├ outputParam | 否 | string | 出参 |
| └ ivrKeyRecord | 否 | list | ivr流转记录 |

##### 座席振铃事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | AgentRinging |
| data | 是 |  object |  |
| ├ callDirection | 否 | int | 呼叫方向，0呼入，1呼出 |
| ├ caller | 否 | string | 主叫 |
| ├ called | 否 | string | 被叫 |
| ├ inQueueTime | 否 | long | 进入队列时间，13位时间戳 |
| ├ occCallId | 否 | string | 通话id |
| ├ userData | 否 | string | 用户自定义透传数据 |
| ├ isPredictive | 否 | int | 是否为预测外呼，0否1是 |
| ├ origCaller | 否 | string | 原主叫 |
| ├ origCalled | 否 | string | 原被叫 |
| ├ inputParam | 否 | string | 入参 |
| ├ outputParam | 否 | string | 出参 |
| └ ivrKeyRecord | 否 | list | ivr流转记录 |

##### 座席应答事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | AgentAnswer |
| data | 是 |  object |  |
| ├ callDirection | 否 | int | 呼叫方向，0呼入，1呼出 |
| ├ caller | 否 | string | 主叫 |
| ├ called | 否 | string | 被叫 |
| ├ inQueueTime | 否 | long | 进入队列时间，13位时间戳 |
| ├ occCallId | 否 | string | 通话id |
| ├ userData | 否 | string | 用户自定义透传数据 |
| ├ isPredictive | 否 | int | 是否为预测外呼，0否1是 |
| ├ origCaller | 否 | string | 原主叫 |
| ├ origCalled | 否 | string | 原被叫 |
| ├ inputParam | 否 | string | 入参 |
| ├ outputParam | 否 | string | 出参 |
| └ ivrKeyRecord | 否 | list | ivr流转记录 |

##### 被叫振铃事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | CalledRinging |
| data | 是 |  object |  |
| ├ callDirection | 否 | int | 呼叫方向，0呼入，1呼出 |
| ├ caller | 否 | string | 主叫 |
| ├ called | 否 | string | 被叫 |
| ├ inQueueTime | 否 | long | 进入队列时间，13位时间戳 |
| ├ occCallId | 否 | string | 通话id |
| ├ callType | 否 | string | 呼叫类型，normal（正常呼叫），consult（咨询），transfer（转接），listen（监听），forceInsert（强插），intercept（拦截) |
| ├ userData | 否 | string | 用户自定义透传数据 |
| ├ isPredictive | 否 | int | 是否为预测外呼，0否1是 |
| ├ origCaller | 否 | string | 原主叫 |
| ├ origCalled | 否 | string | 原被叫 |
| ├ inputParam | 否 | string | 入参 |
| ├ outputParam | 否 | string | 出参 |
| └ ivrKeyRecord | 否 | list | ivr流转记录 |

##### 被叫应答事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | CalledAnswer |
| data | 是 |  object |  |
| ├ callDirection | 否 | int | 呼叫方向，0呼入，1呼出 |
| ├ caller | 否 | string | 主叫 |
| ├ called | 否 | string | 被叫 |
| ├ inQueueTime | 否 | long | 进入队列时间，13位时间戳 |
| ├ occCallId | 否 | string | 通话id |
| ├ callType | 否 | string | 呼叫类型，normal（正常呼叫），consult（咨询），transfer（转接），listen（监听），forceInsert（强插），intercept（拦截) |
| ├ userData | 否 | string | 用户自定义透传数据 |
| ├ isPredictive | 否 | int | 是否为预测外呼，0否1是 |
| ├ origCaller | 否 | string | 原主叫 |
| ├ origCalled | 否 | string | 原被叫 |
| ├ inputParam | 否 | string | 入参 |
| ├ outputParam | 否 | string | 出参 |
| └ ivrKeyRecord | 否 | list | ivr流转记录 |

##### 通话中事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | Conversation |
| data | 是 |  object |  |
| ├ callDirection | 否 | int | 呼叫方向，0呼入，1呼出 |
| ├ caller | 否 | string | 主叫 |
| ├ called | 否 | string | 被叫 |
| ├ inQueueTime | 否 | long | 进入队列时间，13位时间戳 |
| ├ occCallId | 否 | string | 通话id |
| ├ callType | 否 | string | 呼叫类型，normal（正常呼叫），consult（咨询），transfer（转接），listen（监听），forceInsert（强插），intercept（拦截) |
| ├ userData | 否 | string | 用户自定义透传数据 |
| ├ isPredictive | 否 | int | 是否为预测外呼，0否1是 |
| ├ origCaller | 否 | string | 原主叫 |
| ├ origCalled | 否 | string | 原被叫 |
| ├ inputParam | 否 | string | 入参 |
| ├ outputParam | 否 | string | 出参 |
| └ ivrKeyRecord | 否 | list | ivr流转记录 |

##### 话后事件

| 参数             | 必选  | 类型   | 描述                                   |
| ---------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | After |
| data | 是 |  object |  |
| ├ callDirection | 否 | int | 呼叫方向，0呼入，1呼出 |
| ├ recordPath | 否 | string | 录音文件路径 |
| ├ cause | 否 | int | 挂机原因 |
| ├ hangupDirection | 否 | int | 挂机方向，0本端，1对端 |
| ├ beginTime | 否 | string | 开始时间，13位时间戳 |
| ├ ringTime | 否 | string | 振铃时间，13位时间戳 |
| ├ answerTime | 否 | string | 应答时间，13位时间戳 |
| ├ endTime | 否 | string | 结束时间，13位时间戳 |
| ├ caller | 否 | string | 主叫 |
| ├ called | 否 | string | 被叫 |
| ├ callType | 否 | string | 呼叫类型，normal（正常呼叫），consult（咨询），transfer（转接），listen（监听），forceInsert（强插），intercept（拦截) |
| ├ data | 否 | string | 话后原因 |
| ├ inQueueTime | 否 | long | 进入队列时间，13位时间戳 |
| ├ agentAutoIdleTime | 否 | int | 坐席自动空闲时间（单位：秒）|
| └ occCallId | 否 | string | 通话id |

##### 监控消息事件

| 参数             | 必选  | 类型   | 描述                                   |
| ---------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | Surveillance |
| data | 是 |  object |  |
| ├ agentList | 否 | list | 监控座席列表 |
| &nbsp;&nbsp;├ companyId | 否 | string | 企业ID |
| &nbsp;&nbsp;├ agentId | 否 | string | 座席ID |
| &nbsp;&nbsp;├ agentNumber | 否 | string | 座席工号 |
| &nbsp;&nbsp;├ agentName | 否 | string | 座席姓名 |
| &nbsp;&nbsp;├ nowState | 否 | string | 当前状态 |
| &nbsp;&nbsp;├ operatingTime | 否 | string | 状态变更时间13位时间戳 |
| &nbsp;&nbsp;├ loginTime | 否 | string | 状态变更时间13位时间戳 |
| &nbsp;&nbsp;├ loginDuration | 否 | string | 登录持续时间（当前时间-登录时间） |
| &nbsp;&nbsp;├ peerId | 否 | string | 通话中的坐席会存在对端号码 |
| &nbsp;&nbsp;├ callDirection | 否 | string | 呼叫方向：0呼入，1呼出 |
| &nbsp;&nbsp;└ groupList | 否 | list | 座席所属技能组信息 |
| &nbsp;&nbsp;&nbsp;&nbsp;├ id | 否 | string | 技能组id |
| &nbsp;&nbsp;&nbsp;&nbsp;└ name | 否 | string | 技能组名称 |

##### 锁定事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | Lock |

##### 话机异常事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | SipError |

##### 转接事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | TransferCall |

##### 转接中事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | TransferCalling |

##### 转接失败事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | TransferCallFail |

##### 取消转接事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | TransferCancel |

##### 技能组信息事件

| 参数             | 必选  | 类型   | 描述                                   |
| ---------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | GroupInfo |
| data | 是 |  object |  |
| ├ groupList | 否 | list | 技能组列表 |
| &nbsp;&nbsp;├ id | 否 | string | 技能组id |
| &nbsp;&nbsp;├ name | 否 | string | 技能组名称 |
| &nbsp;&nbsp;└ type | 否 | string | 技能组类型 |

##### 空闲座席信息事件

| 参数             | 必选  | 类型   | 描述                                   |
| ---------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | IdleAgent |
| data | 是 |  object |  |
| ├ agentList | 否 | list | 坐席列表 |
| &nbsp;&nbsp;├ agentId | 否 | string | 坐席id |
| &nbsp;&nbsp;├ agentNumber | 否 | string | 座席工号 |
| &nbsp;&nbsp;└ agentName | 否 | string | 座席姓名 |

##### 监听事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | Listen |

##### 监听中事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | Listening |

##### 监听失败事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | ListenFail |

##### 强拆事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | ForceBreak |

##### 强插事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | ForceInsert |

##### 强插失败事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | ForceInsertFail |

##### 拦截事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | Intercept |

##### 拦截中事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | Intercepting |

##### 拦截失败事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | InterceptFail |

##### 咨询事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | ConsultCall |

##### 咨询中事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | ConsultCalling |

##### 咨询失败事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | ConsultCallFail |

##### 取消咨询事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | ConsultCancel |

##### 咨询转事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | ConsultTransfer |

##### 被咨询人挂断事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | ConsultedCancel |

##### 静音事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | Mute |

##### 取消静音事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | Unmute |
| data | 是 |  object |  |
| └ callType | 否 | tring | 通话类型 |

##### 三方会议事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | TripartiteTalk |

##### 三方会议中事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | TripartiteTalking |

##### 三方会议失败事件

| 参数          | 必选  | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| event | 是 | string | TripartiteTalkFail |