[TOC]

##### 简要描述
  - 联系人呼叫结果通过该消息通知给客户

##### 请求URL

  - ` 客户提供的回调地址 `

##### 请求方式
  - POST
 
##### Header

|header|必选|类型|说明|
|:-----  |:-----|-----|-----|
|Content-Type |是 |string |application/json   |

##### 请求参数


|参数名|必选|类型|说明|
|:-----  |:-----|-----|-----|
|event |是 |String |消息类型，固定为CallEnd   |
|called |是 |String |被叫号码   |
|caller |是 |String |主叫号码   |
|hangupGcode|是|integer|挂机码|
|hangupGname|是|String|挂机原因说明|
|callId |是 |String |呼叫id   |
|startTime |是 |String |呼叫开始时间   |
|ringingTime |是 |String |振铃时间   |
|answerTime |是 |String |接听时间   |
|endTime |是 |String |呼叫结束时间   |
|duration |是 |Integer |通话时长，单位毫秒   |
|taskSn |是 |String |任务sn，创建任务时返回的sn   |
|userData |否 |String |客户自定义信息   |
|output |否 |hash |出参，key-value形式   |
|recordPath |否 |String |录音下载地址   |
|keys |否 |String |用户按键信息（以逗号分隔），仅限IVR业务   |
|pressKey |否 |String |用户最后一次按键，仅限IVR业务    |
|turnInfos |否 |List |对话轮次，仅限机器人业务   |
|├ talker |否 |String |说话人，customer:用户,agent:机器人   |
|├ content |否 |String |说话内容   |


##### 请求示例
```
{
    "event": "CallEnd",
    "taskSn": "xxxxxx-xxxxx",
	"hangupGcode"：0,
	"hangupGname"："正常挂机",
	"caller":"95xxx",
	"called":"138xxxxxxxx",
	"callId":"xxxx-xxxxxx",
	"taskSn":"1111-xxxxxxxxx",
	"userData":"129123123xxxxxx",
	"startTime":"2019-6-15 10:41:00",
	"ringingTime":"2019-6-15 10:41:01",
	"answerTime":"2019-6-15 10:41:10",
	"endTime":"2019-6-15 10:42:00",
	"duration":50000,
	"output":{"name":"张三"},
	"recordPath":"http://xxxx:xxx/xxx",
	"turnInfos":[{
			"talker":"agent",
			"content":"您好，我是xxx公司的客服人员，请问你是xxx吗？"
		},{
			"talker":"customer",
			"content":"嗯，我是"
		}]
}
```


##### 备注
回调时返回200，判断为推送成功，如果推送失败会每隔5分钟重试一次，重试3次