#### 解除绑定接口

##### 简要描述

  - 通过该接口可以将解除号码A与号码B的绑定关系。

    

##### 请求URL

   - ` http://{ip}:{port}/api/sdk/dc/unbind  `

##### 请求方式

  - post

##### Header

| header       | 必选 | 类型   | 说明                            |
| :----------- | :--- | ------ | ------------------------------- |
| Content-Type | 是   | string | application/json; charset=utf-8 |

##### 请求参数

| 参数名  | 必选 | 类型   | 说明   |
| :------ | :--- | ------ | ------ |
| token | string | 必须  |通过授权接口获取的token|
| telA    | 是   | string | 号码A  |
| orderId | 是   | string | 流水号，一般设置为4位以内的数字。在telA绑定多个telB时，telA通过手机拨打，在拨号盘输入orderId转到指定的telB，如果telA是sdk方式拨打，保证orderid不重复即可。                         
| expiration | 否 |Integer|延迟解绑时间，单位秒，比如传3600，则在1小时候自动解绑。不传或者传0 立即解绑|
| userData | 否 |string|用户自定义数据，比如订单号|
| terminalInfo | 否 | string | 终端详情。获取方法：Android SDK：VXManager.INSTANCE.getClientInfo() ; IOS SDK：[[VXCallManager sharedInstance]deviceInfo]|


##### 请求示例

```
{
  "telA":"1380000****",
  "orderId":"1235",
  "expiration": 3600,
  "userData": "1000001000101001",
  "terminalInfo":"{\"appVersion\":\"1.3\",\"imei\":\"A1B387D22E697A8605776F7B7794F9A69FB365F6\",\"network\":\"120.30.40.50 192.168.1.0 255.0.0.0\",\"networkType\":\"WIFI\",\"phoneModel\":\"Meizu16th\",\"sdkVersion\":\"1.0.5\",\"sysType\":\"Android\",\"sysVersion\":\"8.1.0\"}"
}
```



##### 返回示例

```
{
    "msg":"解除绑定成功",
    "code":"0000"
}
```

##### 返回参数说明

| 参数名 | 类型   | 说明     |
| :----- | :----- | -------- |
| msg    | string | 返回说明 |
| code   | String | 返回code |

##### code说明

| code | msg                      | 说明 |
| :--- | :----------------------- | ---- |
| 0000 | 绑定成功                 |      |
| 4001 | 绑定失败，telA为空       |      |
| 4002 | 绑定失败，orderId为空    |      |
| 4003 | 绑定失败，未找到绑定关系 |      |
|      |                          |      |