#### 回调接口

##### 简要描述

  - 使用HTTP的Post请求，推送呼叫话单信息给第三方指定的Url，未指定时不推送

    

##### 请求URL

  - 由客户提供

##### 请求方式

  - post

##### 请求参数

| 参数          | 必选 | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
|event|是|String|消息类型，固定为PnsCallEnd|
|callId|是|String|呼叫id,通话唯一标识|
|type|是|string|类型:telA/telB|
|callingType|是|String|呼叫类型，telA：telA拨打，telB：TelB回拨|
|callingNumber|是|String|主叫号码|
|calledNumber|是|String|被叫号码|
|beginTime|是|long|外呼开始时间，13位时间戳，比如1636535406808|
|ringTime|是|long|外呼振铃时间，13位时间戳，比如1636535406808|
|startTime|是|long|通话开始时间，13位时间戳，比如1636535406808|
|stopTime|是|long|通话结束时间，13位时间戳，比如1636535406808|
|duration|是|int|通话时长 (单位：秒)|
|userData|否|String|用户自定义数据|
|recordUrl|否|String|录音文件路径|
|source|是|String|呼叫来源，比如：sdk 、手机直拨|
|hangupGcode|是|integer|挂机原因|
|hangupGname|是|String|挂机原因说明|
|hangupDirection|是|String|挂机方:telA/telB|




##### 请求示例

```
{
    "event": "PnsCallEnd",
	"callId": "e1ad91dd-75a0-4fe9-87a7-cc669872d062",
    "type": "telA",
	"callingType": "telA",
    "callingNumber": "100000009",
    "calledNumber": "15xxxxxxxx",
    "beginTime": 1636535406808,
    "ringTime": 1636535406828,
    "startTime": 1636535406828,
    "stopTime": 1636535406828,
    "duration": 2000,
    "userData": "10000100101001",
    "recordUrl": "http://xxxxxxxxxxxxx",
	"hangupGcode": "0",
    "hangupGname": "正常结束",
	"hangupDirection":"telA"
}


```



##### 返回说明

HTTP的200OK响应