[TOC]

##### 简要描述
  - 创建文本类型的语音通知模板，创建成功后进入待审核状态，待管理员审核通过后会通过回调接口通知给用户

##### 请求URL

  - `http://notice.v-call.cn/api/template_text`

##### 请求方式
  - POST
 
##### Header

|header|必选|类型|说明|
|:-----  |:-----|-----|-----|
|Content-Type |是 |string |application/json; charset=utf-8   |

##### 请求参数

|参数名|必选|类型|说明|
|:-----  |:-----|-----|-----|
|token |是 |string |通过授权接口获取的token   |
|name |是 |string |模板名称   |
|caller |是 |string |主叫号码 （由我司运营人员提供）  |
|content |是 |string |文本模板   |
|playNum |是 |number |播放次数，默认1   |
|volume |否 |number |音量（文本类型模板有效）范围是0~100，默认100   |
|pitch |否 |number |语调（文本类型模板有效）范围是-500~500，默认0   |
|speech |否 |number |语速（文本类型模板有效）范围是-500~500，默认0   |
|params |否 |array |模板中自定义参数列表   |
| ├ index |是 |int |参数序列号，不能重复   |
| ├ name |是 |string |参数名称   |
| └ variable |是 |string |模板内容中匹配的参数名称   |

##### 返回示例
```
{
    "msg": "success",
    "code": 0,
    "data": {
        "template_sn": "df4761f3-7493-4604-945f-7a715b8b9a45"
    }
}
```

##### 返回参数说明

|参数名|类型|说明|
|:-----  |:-----|-----|
|msg |string |返回说明   |
|code |string |返回码   |
|data |object |返回数据   |
|└ template_sn |string |模板sn，创建任务时使用   |

##### 返回码说明

|  返回码code | 说明msg  | 备注  |
| :------------ | :------------ | :------------ |
| 0 |  success | 请求成功  |
| 403  | no auth  |  token失效，需要重新获取 |
|  -1 |  模板标题不能为空 | 请求失败，msg中会返回请求失败的原因   |
|  -1 |  模板文本不能为空  |   |