[TOC]

##### 简要描述
  - 通过该接口创建单个号码的任务，需要使用已经审核通过的模板

##### 请求URL

  - ` http://notice.v-call.cn/api/task_one `

##### 请求方式
  - POST
 
##### Header

|header|必选|类型|说明|
|:-----  |:-----|-----|-----|
|Content-Type |是 |string |application/x-www-form-urlencoded   |

##### 请求参数

|参数名|必选|类型|说明|
|:-----  |:-----|-----|-----|
|token |是 |string |通过授权接口获取的token   |
|template_sn |是 |string |模板sn，由创建模板接口获取，也可以在管理端创建   |
|contacts |是 |string |联系人号码，参数使用竖线分隔，没有变量直接传号码。可以在参数最后增加“客户订单号”，使用@分隔，“客户订单号”会在消息回推中返回，不需要该订单号可以不传。**注意：参数中不要使用英文逗号“,”和管道符“\|”，否则会出现数据异常**   |
|voiceFileList |否 |list |可选的文件播放列表,如果使用该参数，播放内容以该参数为准。接通后将该参数拼接后播放。文件名称通过文件上传接口获取   |



##### 请求示例
```
{
    "token": "xxxxxxxxxx",
    "template_sn": "templatesnxxxxxxx",
    "contacts":"1333211321|张三|男|验证码,是00001@orderid003",
	"voiceFileList": ["file0001"，"file0002"，"file0003"]
}
   ```

##### 返回示例
```
{
    "msg": "success",
    "code": 0,
    "data": {
        "callUUID": "588d10b8-91a6-11ea-85e23212312312"
    }
}
   ```
   
##### 返回参数说明

|参数名|类型|说明|
|:-----  |:-----|-----|
|msg |string |返回说明   |
|code |string |返回码   |
|data |object |返回数据   |
|└ callUUID |string |呼叫的唯一id，与推送的呼叫结果中的callUUID对应   |

##### 返回码说明

|  返回码code | 说明msg  | 备注  |
| :------------ | :------------ | :------------ |
| 0 |  success | 请求成功  |
| 403  | no auth  |  token失效，需要重新获取 |
|  -1 |  任务模板sn不能为空 | 请求失败，msg中会返回请求失败的原因   |
|  -1 |  联系人清单不能为空  |   |
|  -1 |  任务模板不存在 |   |
|  -1 |  任务模板已删除 |   |
|  -1 |  任务模板未审核通过 |   |
|  -1 |  主叫号码未绑定 |   |