[TOC]

##### 简要描述

  - 使用HTTP的GET请求，查询短信模板信息

##### 请求URL
  - `http://cc.v-call.cn/openapi/message/sms/list`

##### 请求方式

  - GET


##### 请求参数

| 参数          | 必选 | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| startTime    | 否   | integer format:int64 |短信开始发送时间，精确到毫秒|
| endTime    | 否   | integer format:int64 |短信结束发送时间，精确到毫秒|
| status | 否   | integer | 短信发送状态（0-其他；1-未发送；2-发送成功；3-发送失败）    |
| msgType | 否   | integer | 消息类型（1-通知；2-推广）                        |
| taskId      | 否   | String | 任务ID                  |
| phone      | 否   | String | 短信发送号码                  |
| pageNo | 否 | integer| 页数，起始下标从1开始，默认1 |
| pageSize | 否 | integer| 条数，默认10 |
| token | 是 | string |通过授权接口获取的token|


##### 请求示例

```
{
    "startTime": 1656604800000,
    "endTime": 1656691199000,
    "status": 1,
    "msgType": 1,
	"taskId": "e7052a45ebf14401af0a1759e9a617c6",
    "pageNo": 1,
    "pageSize": 10,
    "token": "1287c6e2ebfb4a29720a8aba749aa27a"
}

```

##### 返回示例

```
{
	"code": "0",
	"data": {
		"records": [{
			"msgId": "1287c6e2ebfb4a29720a8aba749aa27a",
			"phone": 133xxxxxxxx,
			"content": "张三，您的验证码为：515316",
			"status": 2,
			"msgType": 2,
			"sendTime": 1656691199000,
			"taskId": "e7052a45ebf14401af0a1759e9a617c6"
		}],
		"total": 1
	},
	"msg": "success"
}
```

##### 返回参数说明


|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| code | string |  非必须 |  |  |  |
| data | object |  非必须 |  |  |  |
| ├ total | integer |  非必须 |  |  | format:int64 |
| └ records | object [] |  非必须 |  |  | item 类型:object |
|&nbsp;&nbsp;&nbsp;&nbsp;├ msgId | string |  非必须 |  | 短信唯一ID |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ phone | string |  非必须 |  | 短信发送号码 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ content | string |  非必须 |  | 短信内容 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ status | integer |  非必须 |  | 短信发送状态（0-其他；1-未发送；2-发送成功；3-发送失败）   |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ msgType | integer |  非必须 |  | 消息类型（1-通知；2-推广） |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ sendTime | integer format:int64 |  非必须 |  | 发送时间，精确到毫秒 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ taskId | string |  非必须 |  | 任务ID |  |
| msg | string |  必须 |  |  |  |







##### code说明

| code | msg                          | 说明                                    |
| :--- | :--------------------------- | --------------------------------------- |
| 0 | 查询成功                         | 当且仅当code="0"时成功   |
| 403 | 鉴权失败                       |  |