[TOC]

##### 简要描述

  - 使用HTTP的GET请求，查询闪信模板信息

##### 请求URL
  - `http://cc.v-call.cn/openapi/message/flash/template/list`

##### 请求方式

  - GET


##### 请求参数

| 参数          | 必选 | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| templateName        | 否   | String | 模板名称             |
| startTime    | 否   | integer format:int64 |模板开始创建时间，精确到毫秒|
| endTime    | 否   | integer format:int64 |模板结束创建时间，精确到毫秒|
| status | 否   | integer | 审核状态（1：草稿；2待审核；3：审核通过；4：拒审）                               |
| pageNo | 否 | integer| 页数，起始下标从1开始，默认1 |
| pageSize | 否 | integer| 条数，默认10 |
| token | 是 | string |通过授权接口获取的token|


##### 请求示例

```
{
    "templateName": "无锡xxxx",
    "startTime": 1656604800000,
    "endTime": 1656691199000,
    "status": 3,
    "pageNo": 1,
    "pageSize": 10,
    "token": "1287c6e2ebfb4a29720a8aba749aa27a"
}

```

##### 返回示例

```
{
	"code": "0",
	"data": {
		"records": [{
			"templateId": "1287c6e2ebfb4a29720a8aba749aa27a",
			"templateName": "无锡xxxx",
			"content": "${userName}, ${caller}流调电话，请您不要挂断",
			"ctime": 1656604800000,
			"utime": 1656691199000,
			"status": 2
		}],
		"total": 1
	},
	"msg": "success"
}
```

##### 返回参数说明


|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| code | string |  非必须 |  |  |  |
| data | object |  非必须 |  |  |  |
| ├ total | integer |  非必须 |  |  | format:int64 |
| └ records | object [] |  非必须 |  |  | item 类型:object |
|&nbsp;&nbsp;&nbsp;&nbsp;├ templateId | string |  非必须 |  | 模板ID |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ templateName | string |  非必须 |  | 模板名称 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ content | string |  非必须 |  | 模板内容 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ ctime | integer format:int64 |  非必须 |  | 模板创建时间，精确到毫秒 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ utime | integer format:int64 |  非必须 |  | 模板更新时间，精确到毫秒 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ status | integer |  非必须 |  | 审核状态（1：草稿；2待审核；3：审核通过；4：拒审）   |  |
| msg | string |  必须 |  |  |  |

##### code说明

| code | msg                          | 说明                                    |
| :--- | :--------------------------- | --------------------------------------- |
| 0 | 查询成功                         | 当且仅当code="0"时成功   |
| 403 | 鉴权失败                       |  |