##### 简要描述

  - 使用HTTP的GET请求，查询AIM解析汇总数据信息

##### 请求URL
  - http://{ip:port}/stat/open/aim/statistics/summary/page

##### 请求方式

  - GET


##### 请求参数

| 参数          | 必选 | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| templateName        | 否   | String | 模板名称             |
| firm        | 否   | String | 厂商名称（xiaomi/oppo/vivo/huawei）             |
| inputName        | 否   | String | 投放名称             |
| startTime    | 是   | integer format:int64 |模板开始创建时间，精确到整日毫秒|
| endTime    | 是   | integer format:int64 |模板结束创建时间，精确到整日毫秒|
| pageNo | 否 | integer| 页数，起始下标从1开始，默认1 |
| pageSize | 否 | integer| 条数，默认10 |
| token | 是 | string |通过授权接口获取的token|


##### 请求示例

```
/open/aim/statistics/summary/page?token=5a151258-63d0-4e11-b779-5035700d4664&startTime=1648742400000&endTime=1654012799000&firm=xiaomi&inputName=测试南京银行&templateName=测试-南京银行&pageNo=1&pageSize=10
```

##### 返回示例

```
{
	"msg": "success",
	"code": "0",
	"data": {
		"current": 1,
		"pages": 1,
		"total": 14,
		"records": [{
			"parsingDate": "20220531",
			"companyName": "xx银行",
			"templateName": "测试-xx银行",
			"inputName": "测试xx银行",
			"inputId": "1237",
			"firm": "xiaomi",
			"pullSuccessNum": 0,
			"clickUv": 6,
			"clickPv": 7,
			"exposeUv": 53,
			"exposePv": 108
		}, {
			"parsingDate": "20220530",
			"companyName": "xx银行",
			"templateName": "测试-xx银行",
			"inputName": "测试xx银行",
			"inputId": "1237",
			"firm": "xiaomi",
			"pullSuccessNum": 0,
			"clickUv": 3,
			"clickPv": 3,
			"exposeUv": 47,
			"exposePv": 101
		}]
	}
}
```

##### 返回参数说明


|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| code | string |  非必须 |  |  |  |
| data | object |  非必须 |  |  |  |
| ├ total | integer |  非必须 |  |  | format:int64 |
| └ records | object [] |  非必须 |  |  | item 类型:object |
|&nbsp;&nbsp;&nbsp;&nbsp;├ parsingDate | string |  非必须 |  | 日期(yyyyMMdd) |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ companyName | string |  非必须 |  | 公众号名称 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ templateName | string |  非必须 |  | 模板名称 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ inputName | string |  非必须 |  | 投放名称，精确到毫秒 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ inputId | string |  非必须 |  | 投放ID |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ firm | string |  非必须 |  | 厂商名称   |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ pullSuccessNum | integer |  非必须 |  | 解析成功数 |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ clickUv | integer |  非必须 |  | 点击UV |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ clickPv | integer |  非必须 |  | 点击PV |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ exposeUv | integer |  非必须 |  | 曝光UV |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ exposePv | integer |  非必须 |  | 曝光PV |  |
| msg | string |  必须 |  |  |  |







##### code说明

| code | msg                          | 说明                                    |
| :--- | :--------------------------- | --------------------------------------- |
| 0 | 查询成功                         | 当且仅当code="0"时成功   |
| 403 | 鉴权失败                       |  |