[TOC]

##### 简要描述

  - 使用HTTP的GET请求，查询AIM解析汇总图表数据信息

##### 请求URL
  - `http://cc.v-call.cn/stat/open/aim/statistics/summary/day/list`

##### 请求方式

  - GET


##### 请求参数

| 参数          | 必选 | 类型   | 描述                                   |
| ------------- | ---- | ------ | -------------------------------------- |
| templateName        | 否   | String | 模板名称             |
| firm        | 否   | String | 厂商名称（xiaomi/oppo/vivo/huawei）             |
| inputName        | 否   | String | 投放名称             |
| startTime    | 是   | integer format:int64 |模板开始创建时间，精确到整日毫秒|
| endTime    | 是   | integer format:int64 |模板结束创建时间，精确到整日毫秒|
| token | 是 | string |通过授权接口获取的token|


##### 请求示例

`/open/aim/statistics/summary/day/list?token=5a151258-63d0-4e11-b779-5035700d4600&startTime=1648742400000&endTime=1654012799000&firm=xiaomi&inputName=测试xx银行&templateName=测试-xx银行`

##### 返回示例

```
{
	"msg": "success",
	"code": "0",
	"data": [{
		"parsingDate": "20220530",
		"pullSuccessNum": 0
	}, {
		"parsingDate": "20220531",
		"pullSuccessNum": 0
	}]
}
```

##### 返回参数说明


|  名称 |  类型 |  是否必须 |  默认值 |  备注 |  其他信息 |
| --- | --- | --- | --- | --- | --- |
| code | string |  非必须 |  |  |  |
| data | object []  |  非必须 |  |  | item 类型:object  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ parsingDate | string |  非必须 |  | 日期(yyyyMMdd) |  |
|&nbsp;&nbsp;&nbsp;&nbsp;├ pullSuccessNum | integer |  非必须 |  | 解析成功数 |  |
| msg | string |  必须 |  |  |  |







##### code说明

| code | msg                          | 说明                                    |
| :--- | :--------------------------- | --------------------------------------- |
| 0 | 查询成功                         | 当且仅当code="0"时成功   |
| 403 | 鉴权失败                       |  |