[TOC]

##### 简要描述
  - 号码标记上线接口

##### 请求URL

  - ` http://cc.v-call.cn/cmc/api/open/number/online `

##### 请求方式
  - POST
 
##### Header
|header|必选|类型|说明|
|:-----  |:-----|-----|-----|
|Content-Type |是 |string |multipart/form-data   |

##### 请求参数

|参数名|必选|类型|说明|
|:-----  |:-----|-----|-----|
|token |是 |string |通过授权接口获取的token   |
|corporation |是 |string |公司名称   |
|orderId |否 |string |订单编号   |
|markNumber |是 |string |标记号码   |
|markName |是 |string |标记名称   |
|orderType |是 |Integer |订单类型（1-月费订单；2-年费订单；3-项目订单）   |
|packageType |是 |Integer |套餐类型（1-基础版；2-标准版；3-旗舰版；4-小米版）   |
|type |是 |Integer |号码类型（1-手机号；2-固话；3-400/800/118；4-区号96；5-1010/1012；6-95/96（6位及以上）；7-95/96（5位）；8-特殊号码）   |
|logo |否 |file |logo   |
|attachment |否 |file[] | 物料单文件,支持上传多个  |
|unitPrice |是 |float |号码价格   |
|numberCost |是 |float |号码成本   |
|brandAmount |否 |float |品牌费（公司不存在时，此项不能为空）   |
|brandCost |否 |float |品牌费成本（公司不存在时，此项不能为空）  |
|projectStartTime |否 |long |项目周期开始日期，13位毫秒级时间戳   |
|projectEndTime |否 |long |项目周期结束时间，13位毫秒级时间戳   |
|projectContent |否 |string |项目信息   |
|remarks |否 |string |备注   |

##### 返回示例
```
{
    "msg": "success",
    "code": 0,
    "data": "95xxxxxx"
}
   ```
   
##### 返回参数说明

|参数名|类型|说明|
|:-----  |:-----|-----|
|msg |string |返回说明   |
|code |string |返回码   |
|data |string |标记号码   |

##### 返回码说明

|  返回码code | 说明msg  | 备注  |
| :------------ | :------------ | :------------ |
| 0 |  success | 请求成功  |
| 403  | no auth  |  token失效，需要重新获取 |
| 1001  | 订单信息不存在  |  根据orderId未获取到订单信息 |
| 1002  | 公司名称和订单号不匹配  |  公司与订单信息不匹配 |
| 1003  | 项目周期不能为空  |  订单类型为项目订单时，项目周期不能为空 |
| 1004  | 品牌费和品牌费成本不能为空  |  公司不存在时，品牌费和品牌费成本为必填项 |
| 1005  | 公司不存在或已过期  |  公司不存在或已过期 |
| 1006  | 号码不存在  |  号码不存在 |
| 1007  | 号码非已上线状态  |  号码非已上线状态，不支持下线操作 |
|  -1 |  xxx不能为空 | 请求失败，msg中会返回请求失败的原因（请求参数未设置必填项） |