[TOC]

##### 简要描述
  - 号码标记下线接口

##### 请求URL

  - ` http://cc.v-call.cn/cmc/api/open/number/offline `

##### 请求方式
  - POST
 
##### Header
|header|必选|类型|说明|
|:-----  |:-----|-----|-----|
|Content-Type |是 |string |application/json  |

##### 请求参数

|参数名|必选|类型|说明|
|:-----  |:-----|-----|-----|
|token |是 |string |通过授权接口获取的token   |
|corporation |是 |string |公司名称   |
|markNumber |是 |string |标记号码   |
|reason |否 |string |下线原因   |

##### 请求示例
```
{
    "token":"2677cfa8-xxxx-c2c8cb40f85e",
    "corporation":"xx标记公司",
    "markNumber":"95xxx",
    "reason":"下线测试"
}
```

##### 返回示例
```
{
    "msg": "success",
    "code": 0,
    "data": "95xxxxxx"
}
   ```
   
##### 返回参数说明

|参数名|类型|说明|
|:-----  |:-----|-----|
|msg |string |返回说明   |
|code |string |返回码   |
|data |string |标记号码   |

##### 返回码说明

|  返回码code | 说明msg  | 备注  |
| :------------ | :------------ | :------------ |
| 0 |  success | 请求成功  |
| 403  | no auth  |  token失效，需要重新获取 |
| 1001  | 订单信息不存在  |  根据orderId未获取到订单信息 |
| 1002  | 公司名称和订单号不匹配  |  公司与订单信息不匹配 |
| 1003  | 项目周期不能为空  |  订单类型为项目订单时，项目周期不能为空 |
| 1004  | 品牌费和品牌费成本不能为空  |  公司不存在时，品牌费和品牌费成本为必填项 |
| 1005  | 公司不存在或已过期  |  公司不存在或已过期 |
| 1006  | 号码不存在  |  号码不存在 |
| 1007  | 号码非已上线状态  |  号码非已上线状态，不支持下线操作 |
|  -1 |  xxx不能为空 | 请求失败，msg中会返回请求失败的原因（请求参数未设置必填项） |